Skip to main content
PATCH
Partially update a customer

Autorizaciones

Authorization
string
header
requerido

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Parámetros de ruta

id
string<uuid>
requerido

A UUID string identifying this customer.

Cuerpo

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
is_active
boolean
credit_limit
string<decimal> | null
Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
customer_since
string<date> | null
stakeholder
string<uuid>
customer_status
string<uuid> | null

Respuesta

200 - application/json
message
string
requerido

Human-readable outcome of the request.

error
boolean
requerido

true when the request failed.

Ejemplo:

false

data
object
requerido

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.